Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Class AxisFault

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.rmi.RemoteException
                              |
                              +--org.apache.axis.AxisFault

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NoEndPointException

public class AxisFault
extends java.rmi.RemoteException

An exception which maps cleanly to a SOAP fault. This is a base class for exceptions which are mapped to faults.

Author:
  Doug Davis (dug@us.ibm.com), James Snell (jasnell@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `faultActor`
`protected QName` | `faultCode`
`protected java.util.Vector` | `faultDetails`
`protected java.util.ArrayList` | `faultHeaders` SOAP headers which should be serialized with the Fault
`protected java.lang.String` | `faultString`
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`` | `AxisFault()` No-arg constructor for building one from an XML stream.
`protected` | `AxisFault(java.lang.Exception target)` Wrap an AxisFault around an existing Exception - this is private to force everyone to use makeFault() above, which sanity-checks us.
`` | `AxisFault(QName code, java.lang.String str, java.lang.String actor, org.w3c.dom.Element[] details)`
`` | `AxisFault(java.lang.String message)`
`` | `AxisFault(java.lang.String code, java.lang.String str, java.lang.String actor, org.w3c.dom.Element[] details)`
`` | `AxisFault(java.lang.String message, java.lang.Throwable t)`

Method Summary
`void` | `addFaultDetailString(java.lang.String detail)`
`void` | `addHeader(SOAPHeaderElement header)` Add a SOAP header which should be serialized along with the fault.
`void` | `clearHeaders()`
`void` | `dump()`
`java.lang.String` | `dumpToString()`
`java.lang.String` | `getFaultActor()`
`QName` | `getFaultCode()`
`org.w3c.dom.Element[]` | `getFaultDetails()`
`java.lang.String` | `getFaultString()`
`static AxisFault` | `makeFault(java.lang.Exception e)` Make an AxisFault based on a passed Exception.
`void` | `output(SerializationContext context)`
`void` | `printStackTrace(java.io.PrintStream ps)`
`void` | `printStackTrace(java.io.PrintWriter pw)`
`void` | `setFaultActor(java.lang.String actor)`
`void` | `setFaultCode(QName code)`
`void` | `setFaultCode(java.lang.String code)`
`void` | `setFaultDetail(org.w3c.dom.Element[] details)`
`void` | `setFaultDetailString(java.lang.String details)`
`void` | `setFaultString(java.lang.String str)`
`java.lang.String` | `toString()`

Methods inherited from class java.rmi.RemoteException
`getMessage, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### faultCode

    protected QName faultCode

### faultString

    protected java.lang.String faultString

### faultActor

    protected java.lang.String faultActor

### faultDetails

    protected java.util.Vector faultDetails

### faultHeaders

    protected java.util.ArrayList faultHeaders

  SOAP headers which should be serialized with the Fault

Constructor Detail

### AxisFault

    public AxisFault(java.lang.String code,
                     java.lang.String str,
                     java.lang.String actor,
                     org.w3c.dom.Element[] details)

### AxisFault

    public AxisFault(QName code,
                     java.lang.String str,
                     java.lang.String actor,
                     org.w3c.dom.Element[] details)

### AxisFault

    protected AxisFault(java.lang.Exception target)

  Wrap an AxisFault around an existing Exception - this is private to force everyone to use makeFault() above, which sanity-checks us.

### AxisFault

    public AxisFault(java.lang.String message)

### AxisFault

    public AxisFault()

  No-arg constructor for building one from an XML stream.

### AxisFault

    public AxisFault(java.lang.String message,
                     java.lang.Throwable t)

Method Detail

### makeFault

    public static AxisFault makeFault(java.lang.Exception e)

  Make an AxisFault based on a passed Exception. If the Exception is already an AxisFault, simply use that. Otherwise, wrap it in an AxisFault. If the Exception is an InvocationTargetException (which already wraps another Exception), get the wrapped Exception out from there and use that instead of the passed one.

### dump

    public void dump()

### dumpToString

    public java.lang.String dumpToString()

### setFaultCode

    public void setFaultCode(QName code)

### setFaultCode

    public void setFaultCode(java.lang.String code)

### getFaultCode

    public QName getFaultCode()

### setFaultString

    public void setFaultString(java.lang.String str)

### getFaultString

    public java.lang.String getFaultString()

### setFaultActor

    public void setFaultActor(java.lang.String actor)

### getFaultActor

    public java.lang.String getFaultActor()

### setFaultDetail

    public void setFaultDetail(org.w3c.dom.Element[] details)

### setFaultDetailString

    public void setFaultDetailString(java.lang.String details)

### addFaultDetailString

    public void addFaultDetailString(java.lang.String detail)

### getFaultDetails

    public org.w3c.dom.Element[] getFaultDetails()

### output

    public void output(SerializationContext context)
                throws java.lang.Exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Overrides:
    `printStackTrace` in class `java.rmi.RemoteException`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Overrides:
    `printStackTrace` in class `java.rmi.RemoteException`

### addHeader

    public void addHeader(SOAPHeaderElement header)

  Add a SOAP header which should be serialized along with the fault.
  Parameters:
    `header` - a SOAPHeaderElement containing some fault-relevant stuff

### clearHeaders

    public void clearHeaders()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.